RequestAccessPromiseObj Struct Reference

`#include <definitions.h>`

## Public Attributes

char * | satellite_address
char * | api_key
char * | passphrase
int | async_action_status
napi_deferred | deferred
napi_async_work | work
napi_value | result
UplinkAccessResult | access_Result

## Member Data Documentation

## access_Result

UplinkAccessResult RequestAccessPromiseObj::access_Result

## api_key

char* RequestAccessPromiseObj::api_key

## async_action_status

int RequestAccessPromiseObj::async_action_status

## deferred

napi_deferred RequestAccessPromiseObj::deferred

## passphrase

char* RequestAccessPromiseObj::passphrase

## result

napi_value RequestAccessPromiseObj::result

## satellite_address

char* RequestAccessPromiseObj::satellite_address

## work

napi_async_work RequestAccessPromiseObj::work

The documentation for this struct was generated from the following file:

- definitions.h